<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Contract extends BaseModel
{
    use HasFactory;
    protected $table = 'contract';

    public function type()
    {
        return $this->hasOne(ContractType::class, 'id', 'type_id');
    }
}
